<UpiDllConfig>
    <UpiValueRetrieval>
        <upi_element name='upivalue'>

            <upi_attribute name='version' value='1'/>
            <upi_attribute name='type' value='product'/>

            <upi_element name='level'>
                <upi_attribute name='name' value='productline'/>
                <upi_attribute name='instancename' value='Autodesk Design Review'/>
                <upi_attribute name='id' value='ADR'/>

                <upi_element name='level'>
                    <upi_attribute name='name' value='release'/>
                    <upi_attribute name='instancename' value='Autodesk Design Review 2013'/>
                    <upi_attribute name='id' value='2013'/>

                    <upi_element name='level'>
                        <upi_attribute name='name' value='master'/>
                        <upi_attribute name='instancename' value='32-bit English Unlocked'/>
                        <upi_attribute name='id' value='{F6F7F5CD-A112-4E3E-BA7B-5E4FC0D4E416}'/>

                        <upi_element name='level'>
                            <upi_attribute name='name' value='build'/>
                            <upi_attribute name='instancename' value='P082'/>
                            <upi_attribute name='id'>
                                <upi_reader name='FileAttributeReader' path='..\DesignReview.exe' attribute='ProductVersion'/>
                            </upi_attribute>

                        </upi_element>
                    </upi_element>
                </upi_element>
            </upi_element>
        </upi_element>
	</UpiValueRetrieval>
</UpiDllConfig>
